.page.account-page.report-page.customer-info-page .page-body {
  max-width: 100%;
}

a.report-list-buttons {
  display: flex;
}

.customer-summary-report .updatedate {
  display: flex;
  justify-content: center;
  margin: 27px;
  font-weight: bold;
}

.customer-summary-report md-grid-tile-footer {
  display: flex;
  justify-content: center;
}

  .customer-summary-report md-grid-tile-footer h3 {
    font-size: 20px;
  }

md-dialog {
  box-shadow: 0 !important;
  display: flex;
  flex-direction: column;
  max-height: 80%;
  max-width: 80%;
  min-width: 240px;
  opacity: 0;
  position: relative;
  align-items: center;
  padding: 0 0px 24px 0px;
}



  md-dialog._md.md-dialog-fullscreen.md-transition-in {
    box-shadow: 0 !important;
  }

h4.ng-binding {
  text-align: center;
}

.customer-report .report-list {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  align-content: center;
  margin: 18px 0;
}

.select-field-type select {
  width: 100%;
  text-align: right;
  border: 0;
  border-bottom: 1px solid #bababa;
}

[dir=rtl] .md-icon-button + .md-datepicker-input-container {
  margin-left: auto;
  margin-right: 68px;
}


.report-item.ng-binding:last-child {
  border: 2.5px solid white;
  width: 200px;
}

.popup-report {
  padding-top: 10%;
  min-width: 500px;
}

  .popup-report button.md-icon-button.button-2.md-button.md-autofocus.md-ink-ripple,
  .popup-report button.md-icon-button.button-1.md-button.md-autofocus.md-ink-ripple, button.md-icon-button.button-1.md-button.md-autofocus.md-ink-ripple:hover,
  button.md-icon-button.button-1.md-button.md-autofocus.md-ink-ripple:hover {
    color: white !important;
    font-size: 18px;
  }

button.md-icon-button.button-1.md-button.md-autofocus.md-ink-ripple:hover {
  color: white;
}


.popup-report md-dialog-content#dialogContent_4 {
  overflow: initial;
}

.details-reports {
  text-align: right;
}

.select-field-type {
  width: 100%;
}

.Popup Report button.md-icon-button.button-2.md-button.md-autofocus.md-ink-ripple {
  box-shadow: none;
  border-radius: 0;
  background-color: red;
}

button.md-datepicker-button.md-icon-button.md-button.md-ink-ripple {
  width: 40px;
  text-align: right;
  float: right;
}

.md-datepicker-input-container .md-datepicker-input {
  min-width: 226px;
}

ul.details-reports {
  margin-top: 10%;
}

md-dialog-content#dialogContent_0 {
  overflow-x: hidden;
}

.details-reports .md-datepicker-input-container {
  width: 300px !important;
}

.md-datepicker-input-container {
  border-bottom-style: solid;
  border-bottom-width: 1px;
  display: inline-block;
  position: relative;
  width: auto;
  width: 100%;
}

.report-list .ng-binding {
  text-align: center;
}

.ParamName {
  margin-bottom: 13%;
}

[dir=rtl] .md-icon-button + .md-datepicker-input-container {
  margin-left: auto;
  margin-right: 46px;
}

.report-item.ng-binding:nth-child(3) {
  background-color: #F9B330;
}

.report-item.ng-binding:nth-child(2) {
  background-color: #636363;
}

.report-item {
  min-width: 200px;
}

.customer-report .report-item {
  padding: 30px;
  color: white;
  box-shadow: 4px 4px 0px 1px rgb(0 0 0 / 40%);
  font-size: 24px;
  margin: 14px;
  height: 100px;
  display: flex;
  border-radius: 10px;
  align-items: center;
  justify-content: center;
}

.customer-report .report-title {
  display: flex;
  justify-content: center;
  font-size: 18px;
  color: #401111;
  font-weight: bold;
}

button.md-icon-button.button-1.md-button.md-autofocus.md-ink-ripple {
  color: white;
}

md-datepicker-calendar-pane, div#md-date-pane-1, .md-datepicker-calendar-pane.md-pane-open {
  z-index: 50000000;
}


/*tabs in reports*/

.tabs {
  display: flex;
}

.tab {
  cursor: pointer;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  margin: 5px;
}

.accordion {
  display: none;
}

.tab::selection, .tab.ng-binding.active::selection {
  background-color: transparent;
}

/* Define a media query for mobile devices */

@media (min-width: 768px) {
  .reports-tabs {
    width: 70%;
    margin: auto;
  }
}

/* Style for tabs */
.tabs {
  display: flex;
  justify-content: center;
  width: 100%;
  grid-gap: 5px;
}

.report-in-reports.ng-scope {
  width: 100%;
  text-align: center;
}

.tab {
  cursor: pointer;
  padding: 10px 20px;
  border-radius: 0;
  margin: 0;
  transition: background-color 0.3s;
}


  .tab.active {
    color: white;
  }

/* Style for accordion */


.accordion-header {
  cursor: pointer;
  padding: 10px 20px;
  border-top: none;
  margin: 5px 0 5px 0;
  transition: background-color 0.3s;
  text-align: center;
}

  .accordion-header:hover {
    background-color: #d0d0d0;
  }

.accordion-panel {
  padding: 20px 20px;
  border-top: none;
  background-color: #E2E2E2;
  display: flex;
  justify-content: center;
  gap: 16px;
  flex-direction: column;
  align-items: center;
}

.accordion-header i.fa.fa-angle-right {
  float: left;
  line-height: 17px;
  transform: translateY(-50%) rotate(0deg);
  transition: transform 0.6s ease;
  margin-top: 6px;
}

.accordion-header.open-arrow i.fa.fa-angle-right {
  float: left;
  line-height: 17px;
  transform: translateY(-50%) rotate(90deg);
  transition: transform 0.6s ease;
  margin-top: 8px;
  color: white;
}


.tab-content {
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 0 0 5px 5px;
  background-color: #f2f2f2;
  display: flex;
  justify-content: flex-start;
  border-top: 4px solid;
  margin-top: 0.5%;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  min-height: 100vh;
}

.get-report {
  border-radius: 20px;
  border: 1.5px solid;
  background-color: white;
  width: 120px;
  height: 35px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

button.get-report:hover {
  border-radius: 10px;
  background-color: #fdf4f4;
  box-shadow: 3px 3px 0px gray;
  border: 2.5px solid #BF202F;
}

.reports-tabs .accordion {
  background-color: transparent;
}

.tab.ng-binding.active:hover {
  color: black;
}

@media (max-width: 768px) {
  .tabs {
    display: none;
  }

  .accordion {
    display: block;
  }

  .reports-tabs {
    margin-top: 60%;
  }

  .tab-content {
    display: none;
  }

  .tab:hover, .accordion-header.ng-binding:hover {
    color: black;
  }
}

/* end tabs in reports*/
